diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js
index a85416c..8180a60 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js
@@ -375,6 +375,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify, Backform) {
           icon: 'wcTabIcon icon-role', data: {action: 'create'},
           enable: 'can_create_role'
         }]);
+        pgBrowser.create_menus();
       },
       can_create_role: function(node, item) {
         var treeData = this.getTreeNodeHierarchy(item),
diff --git a/web/pgadmin/tools/backup/templates/backup/js/backup.js b/web/pgadmin/tools/backup/templates/backup/js/backup.js
index 4c742f9..0b052e3 100644
--- a/web/pgadmin/tools/backup/templates/backup/js/backup.js
+++ b/web/pgadmin/tools/backup/templates/backup/js/backup.js
@@ -352,6 +352,7 @@ TODO LIST FOR BACKUP:
         }
 
         pgAdmin.Browser.add_menus(menus);
+        pgAdmin.Browser.create_menus();
         return this;
       },
       start_backup_global: function(action, item) {
diff --git a/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js b/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js
index 2b35b7e..a111ca1 100644
--- a/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js
@@ -106,6 +106,7 @@ define(
 
         pgAdmin.Browser.add_menu_category('view_data', '{{ _('View Data') }}', 100, 'fa fa-th');
         pgAdmin.Browser.add_menus(menus);
+        pgAdmin.Browser.create_menus();
 
         // Creating a new pgAdmin.Browser frame to show the data.
         var dataGridFrameType = new pgAdmin.Browser.Frame({
diff --git a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js
index db6cfd0..b72b4db 100644
--- a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/js/grant_wizard.js
@@ -191,7 +191,7 @@ define([
             });
         }
         pgAdmin.Browser.add_menus(menus);
-
+        pgAdmin.Browser.create_menus();
         return this;
       },
 
diff --git a/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js b/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
index a300531..c29b9f1 100644
--- a/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
+++ b/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
@@ -292,6 +292,7 @@ define(
           category: 'import', priority: 10, label: '{{ _('Import/Export...') }}',
           icon: 'fa fa-shopping-cart', enable: menu_enabled
         }]);
+        pgBrowser.create_menus();
       },
 
       /*
diff --git a/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js b/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js
index 3d2b51a..22931f8 100644
--- a/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js
@@ -189,6 +189,7 @@ define(
           });
         }
         pgBrowser.add_menus(menus);
+        pgBrowser.create_menus();
       },
 
       /*
diff --git a/web/pgadmin/tools/restore/templates/restore/js/restore.js b/web/pgadmin/tools/restore/templates/restore/js/restore.js
index e17d9ce..5d2a8e8 100644
--- a/web/pgadmin/tools/restore/templates/restore/js/restore.js
+++ b/web/pgadmin/tools/restore/templates/restore/js/restore.js
@@ -290,6 +290,7 @@ define([
         }
 
         pgAdmin.Browser.add_menus(menus);
+        pgAdmin.Browser.create_menus();
         return this;
       },
       // Callback to draw Backup Dialog for objects
